Name: opensm
Version: 3.3.3
Release: 1%{?dist}.1
Summary: OpenIB InfiniBand Subnet Manager and management utilities
Group: System Environment/Daemons
License: GPL/BSD
Url: http://www.openfabrics.org/
Source0: http://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
Source1: opensm.conf
Source2: opensm.logrotate
Source3: opensm.initd
Patch0:  opensm-3.3.3-path-record.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibmad-devel = 1.3.3, libtool, bison, flex, byacc
Requires: %{name}-libs = %{version}-%{release}, logrotate, openib
ExclusiveArch: i386 ia64 x86_64 ppc64 ppc

%description
OpenSM is the OpenIB project's Subnet Manager for Infiniband networks.
The subnet manager is run as a system daemon on one of the machines in
the infiniband fabric to manage the fabric's routing state.  This package
also contains various tools for diagnosing and testing Infiniband networks
that can be used from any machine and do not need to be run on a machine
running the opensm daemon.

%package libs
Summary: Libraries used by opensm and included utilities
Group: System Environment/Libraries

%description libs
Shared libraries for Infiniband user space access

%package devel
Summary: Development files for the opensm-libs libraries
Group: Development/System
Requires: %{name}-libs = %{version}-%{release}

%description devel
Development environment for the opensm libraries

%package static
Summary: Static version of the opensm libraries
Group: Development/System
Requires: %{name}-devel = %{version}-%{release}
%description static
Static version of opensm libraries

%prep
%setup -q
%patch0 -p2

%build
%configure --with-opensm-conf-sub-dir=ofed
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la
# the install code puts in an init script that we don't want...kill it
rm -fr %{buildroot}/etc/init.d
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/ofed/opensm.conf
install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/opensm
install -D -m755 %{SOURCE3} %{buildroot}%{_initrddir}/opensmd
mkdir -p %{buildroot}/var/cache/opensm

%clean
rm -rf %{buildroot}

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add opensmd
else
	/sbin/service opensmd condrestart
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service opensmd stop
	/sbin/chkconfig --del opensmd
	rm -f /var/cache/opensm/*
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%dir /var/cache/opensm
%{_sbindir}/*
%{_initrddir}/opensmd
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/logrotate.d/opensm
%config(noreplace) %{_sysconfdir}/ofed/opensm.conf
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/infiniband

%files static
%defattr(-,root,root,-)
%{_libdir}/lib*.a

%changelog
* Mon Feb 21 2011 Jay Fenlason <fenlason@redhat.com> - 3.3.3-1.el5_6.1
- Fix broken SRP client issue (bz650925)
- Resolves: bz650925

* Tue Dec 22 2009 Doug Ledford <dledford@redhat.com> - 3.3.3-1.el5
- Update to latest upstream version
- Own the var/cache/opensm directory
- don't include the bare .so file in the libs package, put it in devel
- Related: bz518218

* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 3.2.6-2.el5
- Fix an incorrect use of #elif that makes later gcc versions give an error
- Fix compile flags to include -fno-strict-aliasing that is also needed on
  later gcc versions

* Fri Apr 17 2009 Doug Ledford <dledford@redhat.com> - 3.2.6-1.el5
- Update to ofed 1.4.1-rc3 version
- Remove dead patch
- Update conf file format to version 3 format
- Update init script for conf file usage change
- Update logrotat file for log file name change
- Related: bz459652

* Mon Oct 13 2008 Doug Ledford <dledford@redhat.com> - 3.2.2-3
- Fix a botched port of the Fedora opensmd init script that failed to replace
  all instances of /etc/rdma with /etc/ofed
- Resolves: bz465150

* Thu Sep 18 2008 Doug Ledford <dledford@redhat.com> - 3.2.2-2
- Patch the Makefiles to remove use of rpath in the programs

* Tue Sep 16 2008 Doug Ledford <dledford@redhat.com> - 3.2.2-1
- Update to latest upstream version
- Resolves: bz451464

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 3.2.0-1
- Update to final bits
- Related: bz428197

* Thu Jan 24 2008 Doug Ledford <dledford@redhat.com> - 3.1.8-1
- Resurrecting old opensm package
- Related: bz428197

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.4265.1.FC5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.4265.1.FC5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Add an ExclusiveArch tag to match kernels that support Infiniband
- Add the docs to the RPM

* Mon Nov 14 2005 Doug Ledford <dledford@redhat.com>
- Split the libs out from the programs in case anyone needs 32bit libs
  on 64bit arches
- Add an init script to start the subnet manager, defaults to off, must
  be enabled on at least one machine in the subnet.

* Mon Nov 7 2005 Doug Ledford <dledford@redhat.com>
- Initial import
